<h1>Widget Generator</h1>
<?php $form = $this->beginWidget('CCodeForm',array('model'=>$model)); ?>

<div class="row">
    <?php echo $form->labelEx($model,'className'); ?>
    <?php echo $form->textField($model,'className',array('size'=>65)); ?>
    <div class="tooltip">name of the widget.</div>
    <?php echo $form->error($model,'className'); ?>
</div>

<div class="row sticky">
    <?php echo $form->labelEx($model,'baseClass'); ?>
    <?php echo $form->textField($model,'baseClass',array('size'=>65)); ?>
    <div class="tooltip">widget base class.</div>
    <?php echo $form->error($model,'baseClass'); ?>
</div>

<div class="row sticky">
    <?php echo $form->labelEx($model,'widgetPath'); ?>
    <?php echo $form->textField($model,'widgetPath',array('size'=>65)); ?>
    <div class="tooltip">widget's path alias <br> ex: application.components creates widget under components folder</div>
    <?php echo $form->error($model,'widgetPath'); ?>
</div>

<div class="row">
    <?php echo $form->labelEx($model,'description'); ?>
    <?php echo $form->textField($model,'description',array('size'=>65)); ?>
    <div class="tooltip">description of the widget.</div>
    <?php echo $form->error($model,'description'); ?>
</div>

<div class="row">
    <?php echo $form->labelEx($model,'variables'); ?>
    <?php echo $form->textField($model,'variables',array('size'=>65)); ?>
    <div class="tooltip">
        variables separated by comma (,)<br>
        you can add your initial values for that variable's also<br>
        for example:<br>
        <span class="hint">bar,baz</span> creates public variables <code>bar and baz</code><br>
        <span class="hint">bar = "loreum", baz = "ipsum"</span> creates public variables <code>bar = "loreum" and baz = "ipsum"</code>
    </div>
    <?php echo $form->error($model,'variables'); ?>
</div>

<div class="row">
    <?php echo $form->labelEx($model,'methods'); ?>
    <?php echo $form->textField($model,'methods',array('size'=>65)); ?>
    <div class="tooltip">public methods separated by comma (,)<br> for ex: <span class="hint">register,unregister</span> creates public methods <code>register() and unregister()</code></div>
    <?php echo $form->error($model,'methods'); ?>
</div>

<div class="row">
    <label><?php echo $form->checkBox($model,'generateView'); ?>&nbsp;&nbsp;Generate View</label>
    <?php echo $form->error($model,'generateView'); ?>
</div>

<?php $this->endWidget(); ?>